﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EasyDevCore.Configuration
{
    /// <summary>
    ///   System.Configuration.ConfigurationManager also in https://www.nuget.org/packages/System.Configuration.ConfigurationManager/
    /// </summary>
    public class ConfigurationErrorsException : Exception
    {
        /// <summary>Initializes a new instance of the <see cref="ConfigurationErrorsException" /> class.</summary>
        public ConfigurationErrorsException() { }
        /// <summary>Initializes a new instance of the <see cref="ConfigurationErrorsException" /> class.</summary>
        /// <param name="message">The message that describes the error.</param>
        public ConfigurationErrorsException(string message) : base(message) { }
        /// <summary>Initializes a new instance of the <see cref="ConfigurationErrorsException" /> class.</summary>
        /// <param name="message">The error message that explains the reason for the exception.</param>
        /// <param name="innerException">
        /// The exception that is the cause of the current exception, or a null reference (<span class="keyword"><span class="languageSpecificText"><span class="cs">null</span><span class="vb">Nothing</span><span class="cpp">nullptr</span></span></span><span class="nu">a null reference (<span class="keyword">Nothing</span> in Visual Basic)</span> in Visual Basic) if no inner exception is specified.
        /// </param>
        public ConfigurationErrorsException(string message, Exception innerException)
            : base(message, innerException) { }
    }

}
